<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.capture.mapper.CaptureRecordsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="captureRecordsResultMap" type="org.springblade.smartapplication.capture.entity.CaptureRecords">
        <id column="id" property="id"/>
        <result column="is_admin" property="isAdmin"/>
        <result column="access_user_type" property="accessUserType"/>
        <result column="device_id" property="deviceId"/>
        <result column="device_name" property="deviceName"/>
        <result column="serial_number" property="serialNumber"/>
        <result column="install_path" property="installPath"/>
        <result column="open_user_id" property="openUserId"/>
        <result column="open_user_name" property="openUserName"/>
        <result column="open_user_tel" property="openUserTel"/>
        <result column="snapsho_uri" property="snapshoUri"/>
        <result column="open_door_type" property="openDoorType"/>
        <result column="access_card_no" property="accessCardNo"/>
        <result column="access_date" property="accessDate"/>
        <result column="room_id" property="roomId"/>
        <result column="unit_id" property="unitId"/>
        <result column="residential_id" property="residentialId"/>
        <result column="org_position" property="orgPosition"/>
        <result column="root_org_id" property="rootOrgId"/>
        <result column="create_date" property="createDate"/>
        <result column="is_out" property="isOut"/>
        <result column="access_age" property="accessAge"/>
        <result column="access_sex" property="accessSex"/>
        <result column="estate_position" property="estatePosition"/>
        <result column="compare_url" property="compareUrl"/>
        <result column="contrast" property="contrast"/>
        <result column="residential_name" property="residentialName"/>
        <result column="unit_name" property="unitName"/>
        <result column="room_name" property="roomName"/>
        <result column="old_id" property="oldId"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>


    <select id="selectCaptureRecordsPage" resultMap="captureRecordsResultMap">
        select * from estate_capture_records where is_deleted = 0
    </select>

</mapper>
